# $Revision: 1.9 $, $Date: 2010/11/03 21:25:51 $
#
# Conditional build:
%bcond_without	tests		# build without tests

%define		svnrev	840
%define		rel		2
Summary:	Generate Your Projects
Name:		gyp
Version:	1
Release:	%{svnrev}.%{rel}
License:	New BSD
Group:		Development/Building
# revno=795
# svn co http://gyp.googlecode.com/svn/trunk${revno:+@$revno} gyp
# tar -cjf gyp-$(svnversion gyp).tar.bz2 --exclude=.svn gyp
# ../dropin gyp-$(svnversion gyp).tar.bz2
Source0:	%{name}-%{svnrev}.tar.bz2
# Source0-md5:	69dade5351c3c9a3ea0070fd435d395c
URL:		http://code.google.com/p/gyp/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-%{name} = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%package -n python-%{name}
Summary:	Python module for GYP
Group:		Development/Languages/Python

%description -n python-%{name}
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%prep
%setup -q -n %{name}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gyp

%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/gyp
%dir %{py_sitescriptdir}/gyp/generator
%{py_sitescriptdir}/gyp/*.py[co]
%{py_sitescriptdir}/gyp/generator/*.py[co]

%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/gyp-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gyp.spec,v $
Revision 1.9  2010/11/03 21:25:51  shadzik
- rel 2

Revision 1.8  2010/08/17 16:09:41  vip
- up to rev 840

Revision 1.7  2010/07/09 11:17:15  arekm
- release 2

Revision 1.6  2010/04/05 17:40:50  glen
- up to @795

Revision 1.5  2010/03/02 15:07:39  glen
- up to 790

Revision 1.4  2010/02/17 13:56:54  glen
- up to @785 for --no-circular-check arg support

Revision 1.3  2010/02/03 09:34:12  arekm
- release 3

Revision 1.2  2010/02/01 17:16:29  glen
- python-gyp module split; rel 2

Revision 1.1  2010/01/28 12:26:11  glen
- new, desc from ubuntu
